/*
 *{{==============================================================================
 *    Copyright (c) 2002, 2003 FileNet Corporation. All rights reserved.
 *
 *    FileNet Proprietary and confidential - Please refer to the Solution Template
 *    Schedule and the readme file for Solution Template Usage Terms.
 *}}==============================================================================
 *    Workfile:   CMCall.java
 *    Revision:   
 *    Date:   06.06.200313:38:52
 */
 
package com.filenet.wcm.toolkit.server.operations.contentmanager;

/**
 * @author rbohnsack
 * 
 */

import java.io.FileWriter;
import java.io.BufferedWriter;
import java.util.Date;
import com.filenet.wcm.api.*;
import com.filenet.wcm.toolkit.util.WcmException;
import com.filenet.wcm.toolkit.server.operations.util.*;
import filenet.vw.api.*; 

public class CMCall {

	private static Session sess = null;
	private static opsUtil opUtils = null;
	private static GettableObject myAttachment = null;
	private static CIConfigProperties conf = null;
	
	
	private static void log(String message)
	{
		String logfilename = "C:\\Integrator.log";
		
		try {
			if (conf==null)	conf = new CIConfigProperties();
			logfilename = conf.getValue("logfilename",logfilename);
			FileWriter file = new FileWriter(logfilename, true);
			BufferedWriter w = new BufferedWriter(file);
			w.write(new Date() + ": ");
			w.write(message);
			w.newLine();
			w.close();
		} catch (Exception e) {}
	}
	
	
	public static String[] getproperties(VWAttachment actual) throws WcmException, VWException, PropertyNotFoundException
	{
		String[] result;
		Property p = null;
		
		log(actual.getLibraryName());
		opUtils = new opsUtil();
		sess = opUtils.getSession();
		myAttachment = opUtils.getAttachment(actual,sess);
		CustomObject co = (CustomObject)myAttachment;
		com.filenet.wcm.api.Properties ps = co.getProperties();
		result = new String[ps.size()];
		for (int i=0;i<ps.size();i++)
		{
			p = (Property) ps.get(i);
		
			result[i] = p.getStringValue();
		}
		return result;
	}
}


