<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE WorkFlowDefinition SYSTEM "wfdef4.dtd">
<WorkFlowDefinition ApiVersion="4.0"
Origin="JavaAPI"
	Subject="&quot;Print eForm 2 Image File (User Select)&quot;"
	Name="Print eForm 2 Image File (User Select)"
	AuthorTool="Process Designer"
	versionAgnostic="false"
	validateUsingSchema="true">
	<Field
		Name="objStore"
		ValueExpr="&quot;EVTFS&quot;"
		Type="string"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="hostName"
		ValueExpr="&quot;hqdemo:8080&quot;"
		Type="string"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="appId"
		ValueExpr="&quot;Workplace&quot;"
		Type="string"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="params"
		Description=""
		ValueExpr="&quot;&quot;"
		Type="string"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="eFormTemplate"
		ValueExpr="&quot;eForms 2 PDF Sample||3|3|EVTFS|{B491B4A0-8279-4000-BC97-FBF5FA91617F}|-1&quot;"
		Type="attachment"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="eFormImageFile"
		Description=""
		ValueExpr="&quot;||0|0||&quot;"
		Type="attachment"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="eFormGUID"
		ValueExpr="&quot;&quot;"
		Type="string"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="formNbr"
		ValueExpr="0"
		Type="int"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="sDocdocClassName"
		ValueExpr="&quot;eForm2PDF&quot;"
		Type="string"
		IsArray="false"
		MergeType="default"/>
	<Field
		Name="outputDocClassName"
		ValueExpr="&quot;eFormImage&quot;"
		Type="string"
		IsArray="false"
		MergeType="override"/>
	<Field
		Name="outputType"
		ValueExpr="&quot;&quot;"
		Type="string"
		IsArray="false"
		MergeType="override"/>
	<Map
		Name="Workflow"
		MaxStepId="15" >
		<Step
			StepId="0"
			Name="LaunchStep"
			Description=""
			XCoordinate="27"
			YCoordinate="54"
			RequestedInterface="Form Launch HTML (FileNet)"
			JoinType="none"
			SplitType="or"
			CanReassign="true"
			CanViewStatus="true"
			CanViewHistory="false"
			IgnoreInvalidUsers="false">
<Parameter
	Name="formNbr"
	ValueExpr="formNbr"
	Type="int"
	IsArray="false"
	Mode="out"/>
<Parameter
	Name="outputType"
	ValueExpr="outputType"
	Type="string"
	IsArray="false"
	Mode="out"/>
			<Route
				SourceStepId="0"
				DestinationStepId="1"/>
			<PostAssignments>
			<Assign LVal="params" RVal="&quot;t=&quot;+outputType+ &quot;&amp;r=288&amp;c=LZW&amp;hp=1&amp;op=0&quot;" />
			</PostAssignments>
<ModelAttributes>
	<ModelAttribute
		Name="UI_StepType"
		Type="int"
		IsArray="false">
			<Value Val="1"/>
	</ModelAttribute>
</ModelAttributes>
		</Step>
		<CompoundStep
			StepId="1"
			Name="Find eForm Data File"
			XCoordinate="132"
			YCoordinate="54"
			JoinType="or"
			SplitType="or">
			<Instruction
				Id="4"
				Action="execute">
				<Expression Val="eForms2PDFSearch" />
				<Expression Val="sDoc" />
				<Expression Val="objStore" />
				<Expression Val="sDocdocClassName" />
				<Expression Val="&quot;eForms2PDFFormNbr&quot;" />
				<Expression Val="numbertostring(formNbr)" />
				<Expression Val="eFormGUID" />
			</Instruction>
			<Route
				SourceStepId="1"
				DestinationStepId="2"/>
<ModelAttributes>
	<ModelAttribute
		Name="UI_StepType"
		Type="int"
		IsArray="false">
			<Value Val="8"/>
	</ModelAttribute>
</ModelAttributes>
		</CompoundStep>
		<Step
			StepId="2"
			Name="Preview"
			XCoordinate="264"
			YCoordinate="54"
			RequestedInterface="Approval HTML (FileNet)"
			QueueName="Inbox"
			JoinType="or"
			SplitType="or"
			CanReassign="false"
			CanViewStatus="true"
			CanViewHistory="false"
			IgnoreInvalidUsers="false">
			<Participant Val="F_Originator" />
<Parameter
	Name="appId"
	ValueExpr="appId"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="eFormGUID"
	ValueExpr="eFormGUID"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="hostName"
	ValueExpr="hostName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="objStore"
	ValueExpr="objStore"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="sDocdocClassName"
	ValueExpr="sDocdocClassName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="formNbr"
	ValueExpr="formNbr"
	Type="int"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="outputDocClassName"
	ValueExpr="outputDocClassName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="outputType"
	ValueExpr="outputType"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="params"
	Description=""
	ValueExpr="params"
	Type="string"
	IsArray="false"
	Mode="in"/>
			<Route
				SourceStepId="2"
				DestinationStepId="3"
				Name="GUID OK"
				Condition="eFormGUID &lt;&gt; &quot;&quot;"/>
			<Route
				SourceStepId="2"
				DestinationStepId="8"
				Name="No GUID"
				Condition="eFormGUID = &quot;&quot;"/>
<ModelAttributes>
	<ModelAttribute
		Name="UI_StepType"
		Type="int"
		IsArray="false">
			<Value Val="2"/>
	</ModelAttribute>
</ModelAttributes>
		</Step>
		<CompoundStep
			StepId="3"
			Name="Print eForm"
			XCoordinate="402"
			YCoordinate="56"
			JoinType="or"
			SplitType="or">
			<Instruction
				Id="5"
				Action="execute">
				<Expression Val="eForms2PDF" />
				<Expression Val="eForm2PDF" />
				<Expression Val="hostName" />
				<Expression Val="appId" />
				<Expression Val="objStore" />
				<Expression Val="eFormTemplate" />
				<Expression Val="eFormGUID" />
				<Expression Val="params" />
				<Expression Val="upper(outputType) + &quot; from eForm &quot; + numbertostring(formNbr)" />
				<Expression Val="outputDocClassName" />
				<Expression Val="&quot;/zTests/Demo Gallery Items/eForms2PDF/eForms2PDF (User Select)/eFormsPDFsTIFFs&quot;" />
				<Expression Val="eFormImageFile" />
			</Instruction>
			<Route
				SourceStepId="3"
				DestinationStepId="7"/>
<ModelAttributes>
	<ModelAttribute
		Name="UI_StepType"
		Type="int"
		IsArray="false">
			<Value Val="8"/>
	</ModelAttribute>
</ModelAttributes>
		</CompoundStep>
		<Step
			StepId="7"
			Name="Review"
			XCoordinate="467"
			YCoordinate="56"
			RequestedInterface="Approval HTML (FileNet)"
			QueueName="Inbox"
			JoinType="or"
			SplitType="or"
			CanReassign="false"
			CanViewStatus="true"
			CanViewHistory="false"
			IgnoreInvalidUsers="false">
			<Participant Val="F_Originator" />
<Parameter
	Name="appId"
	ValueExpr="appId"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="eFormGUID"
	ValueExpr="eFormGUID"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="eFormTemplate"
	ValueExpr="eFormTemplate"
	Type="attachment"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="hostName"
	ValueExpr="hostName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="objStore"
	ValueExpr="objStore"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="sDocdocClassName"
	ValueExpr="sDocdocClassName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="formNbr"
	ValueExpr="formNbr"
	Type="int"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="outputDocClassName"
	ValueExpr="outputDocClassName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="eFormImageFile"
	Description=""
	ValueExpr="eFormImageFile"
	Type="attachment"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="outputType"
	ValueExpr="outputType"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="params"
	Description=""
	ValueExpr="params"
	Type="string"
	IsArray="false"
	Mode="in"/>
<ModelAttributes>
	<ModelAttribute
		Name="UI_StepType"
		Type="int"
		IsArray="false">
			<Value Val="2"/>
	</ModelAttribute>
</ModelAttributes>
		</Step>
		<Step
			StepId="8"
			Name="Merde..."
			Description="If you end up here, then the search routine didn&apos;t work. Make sure the value you&apos;re searching for is an Integer, and not a String."
			XCoordinate="344"
			YCoordinate="163"
			RequestedInterface="Approval HTML (FileNet)"
			QueueName="Inbox"
			JoinType="or"
			SplitType="or"
			CanReassign="false"
			CanViewStatus="true"
			CanViewHistory="false"
			IgnoreInvalidUsers="false">
			<Participant Val="F_Originator" />
<Parameter
	Name="appId"
	ValueExpr="appId"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="eFormGUID"
	ValueExpr="eFormGUID"
	Type="string"
	IsArray="false"
	Mode="inout"/>
<Parameter
	Name="hostName"
	ValueExpr="hostName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="objStore"
	ValueExpr="objStore"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="sDocdocClassName"
	ValueExpr="sDocdocClassName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="formNbr"
	ValueExpr="formNbr"
	Type="int"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="outputDocClassName"
	ValueExpr="outputDocClassName"
	Type="string"
	IsArray="false"
	Mode="in"/>
<Parameter
	Name="outputType"
	ValueExpr="outputType"
	Type="string"
	IsArray="false"
	Mode="inout"/>
<Parameter
	Name="params"
	Description=""
	ValueExpr="params"
	Type="string"
	IsArray="false"
	Mode="in"/>
			<Route
				SourceStepId="8"
				DestinationStepId="3"/>
<ModelAttributes>
	<ModelAttribute
		Name="UI_StepType"
		Type="int"
		IsArray="false">
			<Value Val="2"/>
	</ModelAttribute>
</ModelAttributes>
		</Step>
	</Map>
</WorkFlowDefinition>
